from setuptools import setup, find_packages

setup(
    name='robobo_emotion',
    version='0.6',
    url="https://github.com/Calza36/roboboemotions",
    author="Ernesto Calzadilla",
    description="Librería para detectar emociones en imágenes y audio usando Robobo",
    py_modules=['robobo_emotion'],
    packages=find_packages(),
    install_requires=[
        'absl-py==2.1.0',
        'addict==2.4.0',
        'aiohttp==3.9.5',
        'aiosignal==1.3.1',
        'aliyun-python-sdk-core==2.15.1',
        'aliyun-python-sdk-kms==2.16.3',
        'antlr4-python3-runtime==4.9.3',
        'astunparse==1.6.3',
        'async-timeout==4.0.3',
        'attrs==23.2.0',
        'audioread==3.0.1',
        'beartype==0.18.5',
        'beautifulsoup4==4.12.3',
        'blinker==1.8.2',
        'certifi==2024.6.2',
        'cffi==1.16.0',
        'charset-normalizer==3.3.2',
        'click==8.1.7',
        'colorama==0.4.6',
        'crcmod==1.7',
        'cryptography==42.0.8',
        'datasets==2.18.0',
        'decorator==5.1.1',
        'deepface==0.0.92',
        'dill==0.3.8',
        'editdistance==0.8.1',
        'einops==0.8.0',
        'filelock==3.15.3',
        'fire==0.6.0',
        'Flask==3.0.3',
        'flatbuffers==24.3.25',
        'frozenlist==1.4.1',
        'fsspec==2024.2.0',
        'funasr==1.0.28',
        'gast==0.5.4',
        'gdown==5.2.0',
        'google-pasta==0.2.0',
        'grpcio==1.64.1',
        'gunicorn==22.0.0',
        'h5py==3.11.0',
        'huggingface-hub==0.23.4',
        'hydra-core==1.3.2',
        'idna==3.7',
        'importlib_metadata==7.2.0',
        'intel-openmp==2021.4.0',
        'itsdangerous==2.2.0',
        'jaconv==0.3.4',
        'jamo==0.4.1',
        'jieba==0.42.1',
        'Jinja2==3.1.4',
        'jmespath==0.10.0',
        'joblib==1.4.2',
        'kaldiio==2.18.0',
        'keras==3.3.3',
        'lazy_loader==0.4',
        'libclang==18.1.1',
        'librosa==0.10.2.post1',
        'llvmlite==0.43.0',
        'Markdown==3.6',
        'markdown-it-py==3.0.0',
        'MarkupSafe==2.1.5',
        'mdurl==0.1.2',
        'mkl==2021.4.0',
        'ml-dtypes==0.3.2',
        'modelscope==1.15.0',
        'more-itertools==10.3.0',
        'mpmath==1.3.0',
        'msgpack==1.0.8',
        'mtcnn==0.1.1',
        'multidict==6.0.5',
        'multiprocess==0.70.16',
        'namex==0.0.8',
        'networkx==3.3',
        'numba==0.60.0',
        'numpy==1.26.4',
        'omegaconf==2.3.0',
        'openai-whisper==20231117',
        'opencv-python==4.10.0.84',
        'opt-einsum==3.3.0',
        'optree==0.11.0',
        'oss2==2.18.6',
        'packaging==24.1',
        'pandas==2.2.2',
        'pillow==10.3.0',
        'platformdirs==4.2.2',
        'pooch==1.8.2',
        'protobuf==4.25.3',
        'pyarrow==16.1.0',
        'pyarrow-hotfix==0.6',
        'pycparser==2.22',
        'pycryptodome==3.20.0',
        'Pygments==2.18.0',
        'pynndescent==0.5.13',
        'PySocks==1.7.1',
        'python-dateutil==2.9.0.post0',
        'pytorch-wpe==0.0.1',
        'pytz==2024.1',
        'PyYAML==6.0.1',
        'regex==2024.5.15',
        'requests==2.32.3',
        'retina-face==0.0.17',
        'rich==13.7.1',
        'rotary-embedding-torch==0.6.2',
        'scikit-learn==1.5.0',
        'scipy==1.13.1',
        'sentencepiece==0.2.0',
        'simplejson==3.19.2',
        'six==1.16.0',
        'sortedcontainers==2.4.0',
        'soundfile==0.12.1',
        'soupsieve==2.5',
        'soxr==0.3.7',
        'sympy==1.12.1',
        'tbb==2021.13.0',
        'tensorboard==2.16.2',
        'tensorboard-data-server==0.7.2',
        'tensorboardX==2.6.2.2',
        'tensorflow==2.16.1',
        'tensorflow-intel==2.16.1',
        'tensorflow-io-gcs-filesystem==0.31.0',
        'termcolor==2.4.0',
        'tf_keras==2.16.0',
        'threadpoolctl==3.5.0',
        'tiktoken==0.7.0',
        'tomli==2.0.1',
        'torch==2.3.1',
        'torch-complex==0.4.3',
        'torchaudio==2.3.1',
        'tqdm==4.66.4',
        'typing_extensions==4.12.2',
        'tzdata==2024.1',
        'umap-learn==0.5.6',
        'urllib3==2.2.2',
        'Werkzeug==3.0.3',
        'wrapt==1.16.0',
        'xxhash==3.4.1',
        'yapf==0.40.2',
        'yarl==1.9.4',
        'zipp==3.19.2',
    ],
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.8',
)